find_max_peak_c.h File Reference
`#include <gnuradio/tagged_stream_block.h>`
`#include <radar/api.h>`

Go to the source code of this file.

## Classes

class | gr::radar::find_max_peak_c

This block estimates a single peak of a given FFT spectrum as tagged stream. Output is a message with the information of frequency, phase and power of the peak as a f32vector with a single item. All data is tagged with the identifiers (symbols) 'frequency', 'phase' and 'power'. The peak is estimated on the whole spectrum or on the range max_freq if cut_max_freq is true. Furthermore a threshold of the spectrum amplitude can be given with threshold. The DC peak can be cut out with the protected samples samp_protect. This value do not evaluate samp_protect samples around the DC peak. If no suitable peak is found the block returns empty vectors with the identifiers. More...

## Namespaces

namespace | gr
namespace | gr::radar